package cn.iocoder.yudao.module.system.enums.device;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DeviceTypeEnum {

    CHARGING_STATION(1, "充电桩"),
    CONVEYOR_LINE(2, "输送线"),
    PALLETIZER(3, "码垛机"),
    AUTOMATIC_DOOR(4, "自动门"),
    HOIST(5, "提升机"),
    SIGNAL_LIGHT(6, "信号灯"),
    BUTTON_BOX(7, "按钮盒"),
    DISMANTLING_MACHINE(8, "拆垛机");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 说明
     */
    private final String msg;
}
